> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update user information. Users can only update their own profile.



## OpenAPI

````yaml /api-reference/openapi.json put /users/{user_id}
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /users/{user_id}:
    put:
      tags:
        - Users
      summary: Update User
      description: Update user information. Users can only update their own profile.
      operationId: put_Users_users_user_id
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserUpdateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UserUpdateRequest:
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: Updated first name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Updated last name
        client_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Client Data
          description: Updated client configuration data
      type: object
      title: UserUpdateRequest
      description: API request schema for updating user information
    UserUpdateResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        email:
          type: string
          title: Email
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
        created:
          type: string
          format: date-time
          title: Created
        updated:
          type: string
          format: date-time
          title: Updated
        tokens_remaining:
          type: integer
          title: Tokens Remaining
        client_data:
          additionalProperties: true
          type: object
          title: Client Data
      type: object
      required:
        - id
        - external_id
        - first_name
        - last_name
        - email
        - avatar_url
        - created
        - updated
        - tokens_remaining
        - client_data
      title: UserUpdateResponse
      description: API response schema for updating user information
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````